All of lore.kernel.org
 help / color / mirror / Atom feed
From: cel@kernel.org
To: Jeff Layton <jlayton@kernel.org>
Cc: <linux-nfs@vger.kernel.org>, Chuck Lever <chuck.lever@oracle.com>
Subject: [PATCH] xdrgen: Add a utility for extracting XDR from RFCs
Date: Mon,  7 Oct 2024 14:07:54 -0400	[thread overview]
Message-ID: <20241007180754.112429-1-cel@kernel.org> (raw)

From: Chuck Lever <chuck.lever@oracle.com>

For convenience, copy the XDR extraction script from RFC

Signed-off-by: Chuck Lever <chuck.lever@oracle.com>
---
 tools/net/sunrpc/extract.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
 create mode 100755 tools/net/sunrpc/extract.sh

diff --git a/tools/net/sunrpc/extract.sh b/tools/net/sunrpc/extract.sh
new file mode 100755
index 000000000000..13b0036eaa81
--- /dev/null
+++ b/tools/net/sunrpc/extract.sh
@@ -0,0 +1,10 @@
+#! /bin/sh
+#
+# Extract an RPC protocol specification from an RFC document.
+# The version of this script comes from RFC 8166.
+#
+# Usage:
+#  $ extract.sh < rfcNNNN.txt > protocol.x
+#
+
+grep '^ *///' | sed 's?^ */// ??' | sed 's?^ *///$??'
-- 
2.46.2


             reply	other threads:[~2024-10-07 18:07 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-07 18:07 cel [this message]
2024-10-07 18:17 ` [PATCH] xdrgen: Add a utility for extracting XDR from RFCs Jeff Layton
2024-10-07 18:23   ` Chuck Lever III

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20241007180754.112429-1-cel@kernel.org \
    --to=cel@kernel.org \
    --cc=chuck.lever@oracle.com \
    --cc=jlayton@kernel.org \
    --cc=linux-nfs@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.